/* Noto Sans Thai */
@font-face {
    font-family: "Noto Sans Thai";
    src: url("../fonts/noto-sans-thai/NotoSansThai-Regular.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Noto Sans Thai";
    src: url("../fonts/noto-sans-thai/NotoSansThai-Medium.ttf") format("truetype");
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: "Noto Sans Thai";
    src: url("../fonts/noto-sans-thai/NotoSansThai-SemiBold.ttf") format("truetype");
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: "Noto Sans Thai";
    src: url("../fonts/noto-sans-thai/NotoSansThai-Bold.ttf") format("truetype");
    font-weight: 700;
    font-style: normal;
}

/* Inter */
@font-face {
    font-family: "Inter";
    src: url("../fonts/inter/Inter-Regular.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Inter";
    src: url("../fonts/inter/Inter-Medium.ttf") format("truetype");
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: "Inter";
    src: url("../fonts/inter/Inter-SemiBold.ttf") format("truetype");
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: "Inter";
    src: url("../fonts/inter/Inter-Bold.ttf") format("truetype");
    font-weight: 700;
    font-style: normal;
}

:root {
    --green-primary: #2f6b4f;
    --green-dark: #2f5a45;
    --green-soft: #eef6f0;
    --green-softest: #f8fbf9;

    --pink-primary: #c97890;
    --pink-soft: #f8e8ee;
    --pink-muted: #d8a2b2;

    --gold-primary: #d8b36a;
    --gold-soft: #fff4d8;

    --blue-primary: #5ba9c9;
    --blue-soft: #f1fafd;

    --yellow: #ebd163;
    --white: #ffffff;
    --red: #dc3545;

    --text-dark: #1f1f1f;
    --text-pink: #d97c9f;
    --text-sub-dark: #4b4b4b;

    --text-main: #222222;
    --text-muted: #666666;
    --text-light: #888888;

    --border-dark: #ccd2d8;
    --border-soft: #e5e7eb;

    --bg-gray: #fafafa;

    --radius-sm: 8px;
    --radius-md: 16px;
    --radius-lg: 24px;
    --radius-pill: 999px;

    --shadow-sm: 0 4px 12px rgba(0, 0, 0, 0.08);
    --shadow-md: 0 10px 30px rgba(0, 0, 0, 0.12);

    --section-title-size: 38px;
    --section-title-line: 1.25;
    --section-title-weight: 600;

    --section-subtitle-size: 18px;
    --section-subtitle-line: 1.6;
    --section-subtitle-weight: 500;

    --section-subtitle-en-size: 16px;
    --section-subtitle-en-line: 1.25;
    --section-subtitle-en-weight: 500;

    --text-small: 14px;

    --padding-section: 88px 0 88px 0;
    --padding-content: 64px 0 0 0;

    --padding-content-card-xs: 12px;
    --padding-content-card-sm: 18px;
    --padding-content-card-md: 24px;
    --padding-content-card-lg: 42px;
    --padding-content-card-xl: 64px;

    --gap-content-xs: 8px;
    --gap-content-sm: 18px;
    --gap-content-md: 24px;
    --gap-content-lg: 42px;
    --gap-content-xl: 64px;

    --height-box: 48px;
    --height-btn-sm: 38px;
    --height-btn-md: 48px;
    --height-btn-lg: 52px;

    --height-icon-btn-xxs: 12px;
    --height-icon-btn-xs: 18px;
    --height-icon-btn-sm: 32px;
    --height-icon-btn-md: 40px;
    --height-icon-btn-lg: 48px;
}

* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

html,
body {
    margin: 0;
    padding: 0;
}

body {
    font-family: "Noto Sans Thai", sans-serif;
    font-size: 16px;
    line-height: 1.55;
    color: var(--text-main);
    background: var(--white);
    font-weight: 400;
}

a {
    color: inherit;
    text-decoration: none;
}

/* a:hover {
  color: var(--green-primary);
} */

img {
    max-width: 100%;
    height: auto;
    display: block;
}

button,
input,
textarea,
select {
    font-family: inherit;
}

.font-th {
    font-family: "Noto Sans Thai", sans-serif;
}

.font-en {
    font-family: "Inter", sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--text-dark);
    font-weight: 600;
    line-height: 1.35;
    margin: 0;
}

p {
    margin: 0;
}

.text-mark {
    color: var(--red);
    font-size: var(--text-small);
}

.section-title {
    color: var(--text-dark);

    font-size: var(--section-title-size);
    font-weight: var(--section-title-weight);
    line-height: var(--section-title-line);

    margin: 0;
}

.gradient-text {
    /* background: linear-gradient(90deg, #0f3f1e 0%, #1f6b33 40%, #2bad3e 100%); */

    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;

    display: inline-block;
}

.section-subtitle {
    color: var(--text-sub-dark);

    font-size: var(--section-subtitle-size);
    font-weight: var(--section-subtitle-weight);
    line-height: var(--section-subtitle-line);

    margin-top: 14px;
}

.section-en {
    display: block;

    font-size: var(--section-subtitle-en-size);
    font-weight: var(--section-subtitle-en-weight);
    line-height: var(--section-subtitle-en-line);

    letter-spacing: 2px;
    text-transform: uppercase;

    margin-bottom: 12px;
}

/* badge */

.tag-badge {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    align-self: flex-start;

    padding: 6px 10px;
    gap: var(--gap-content-xs);
    border-radius: var(--radius-pill);
    line-height: 1.2;
    text-align: center;
    white-space: normal;
    word-break: break-word;
    font-size: var(--text-small);
}

.section-en.tag-badge,
.section-subtitle.tag-badge {
    padding: 10px 18px;
}

.tag-badge i,
.tag-badge span {
    display: inline-block;
}

.tag-badge i {
    font-size: 13px;
}

.badge-green {
    background-color: #32ad3b33;
    color: var(--green-primary);
}

.badge-yellow {
    background-color: #ffd780;
}

/* button */
.btn-global {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    height: var(--height-btn-md);
    min-width: 120px;
    padding: 0 24px;
    border: none;
    border-radius: var(--radius-sm);
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
    white-space: nowrap;
    position: relative;
    overflow: hidden;
    z-index: 1;
    transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
}

.btn-global i {
    transition: transform 0.3s ease;
}

.btn-global:hover i {
    transform: translateX(5px);
}

.btn-icon-right:hover i {
    transform: translateX(5px);
}

.btn-icon-left:hover i {
    transform: translateX(-5px);
}

.btn-global:active {
    transform: scale(0.98);
}

.btn-global::before {
    content: "";
    position: absolute;
    top: -100%;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    transition: top 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    opacity: 0;
}

.btn-global.btn-gradient:hover::before {
    top: 0;
    opacity: 1;
}

.btn-green {
    background-color: var(--green-primary);
    color: var(--white);
}

.btn-green:hover {
    background-color: var(--green-dark);
    color: var(--white);
}

.btn-gold {
    background-color: var(--gold-primary);
    color: var(--text-dark);
}

.btn-gold:hover {
    background-color: #c9a35b;
    color: var(--text-dark);
}

.btn-pink {
    background-color: var(--pink-soft);
    color: var(--text-pink);
}

.btn-pink:hover {
    background-color: var(--pink-primary);
    color: var(--white);
}

.btn-pink-outline {
    background-color: transparent;
    border: 1px solid var(--pink-primary);
    color: var(--pink-primary);
}

.btn-pink-outline:hover {
    background-color: var(--pink-primary);
    color: var(--white);
}

.btn-green .btn-gradient::before {
    background-color: var(--green-dark);
}

.btn-gold .btn-gradient::before {
    background-color: #c9a35b;
}

.btn-pink .btn-gradient::before {
    background-color: var(--pink-primary);
}

/* โครงหน้า */

.padding-body {
    padding: var(--padding-section);

    display: flex;
    flex-direction: column;
    gap: var(--gap-content-xl);
}

.padding-body .detail {
    padding: var(--padding-section);
    gap: var(--gap-content-md);
}

.section {
    position: relative;

    display: flex;
    flex-direction: column;

    gap: var(--gap-content-xl);
}

.section.detail-section {
    gap: var(--gap-content-lg);
}

.section.chat-section {
    gap: var(--gap-content-lg);
}

.section-header {
    display: flex;
    flex-direction: column;
}

.section-header.header-badge {
    display: flex;
    flex-direction: column;
    gap: 0px;
}

.section-container {
    gap: var(--gap-content-md);
}

.section-content .content-wrapper {
    display: flex;
    flex-direction: column;
    /* gap: var(--gap-content-md); */
}

.section-content {
    display: flex;
    flex-direction: column;
    gap: var(--gap-content-sm);
}

.section-content .content-wrapper-lg {
    display: flex;
    flex-direction: column;
    gap: var(--gap-content-lg);
}

.article-section p,
.content-wrapper p {
    margin: 0 0 1rem;

    line-height: 1.9;
    text-align: justify;

    text-indent: 2.5em;

    white-space: normal;
    overflow-wrap: anywhere;
}

.section.detail-section .section-content.text-small {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: var(--gap-content-sm);
    color: var(--text-muted);
    font-size: var(--text-small);
}

.content-divider {
    color: var(--border-soft);
}

.content-header-divider {
    border-bottom: 1px solid var(--border-soft);
}

/******************** responsive ********************/

@media (max-width: 1150px) {
    :root {
        --height-box: 44px;
        --height-btn-sm: 38px;
        --height-btn-md: 46px;
        --height-btn-lg: 50px;
    }
}

@media (max-width: 991px) {
    :root {
        --section-title-size: 32px;
        --section-subtitle-size: 17px;
        --section-subtitle-en-size: 15px;
        --text-small: 13px;

        --radius-md: 14px;
        --radius-lg: 20px;

        --padding-section: 64px 0;
        --padding-content: 48px 0 0;

        --padding-content-card-xs: 10px;
        --padding-content-card-sm: 16px;
        --padding-content-card-md: 20px;
        --padding-content-card-lg: 32px;
        --padding-content-card-xl: 48px;

        --gap-content-xs: 6px;
        --gap-content-sm: 16px;
        --gap-content-md: 20px;
        --gap-content-lg: 32px;
        --gap-content-xl: 48px;

        --height-box: 40px;

        --height-btn-sm: 36px;
        --height-btn-md: 44px;
        --height-btn-lg: 48px;

        --height-icon-btn-xxs: 10px;
        --height-icon-btn-xs: 16px;
        --height-icon-btn-sm: 30px;
        --height-icon-btn-md: 36px;
        --height-icon-btn-lg: 44px;
    }
}

@media (max-width: 576px) {
    :root {
        --section-title-size: 28px;
        --section-subtitle-size: 16px;
        --section-subtitle-en-size: 14px;
        --text-small: 13px;

        --radius-sm: 6px;
        --radius-md: 12px;
        --radius-lg: 18px;

        --padding-section: 48px 0;
        --padding-content: 36px 0 0;

        --padding-content-card-xs: 8px;
        --padding-content-card-sm: 14px;
        --padding-content-card-md: 18px;
        --padding-content-card-lg: 24px;
        --padding-content-card-xl: 36px;

        --gap-content-xs: 6px;
        --gap-content-sm: 14px;
        --gap-content-md: 18px;
        --gap-content-lg: 24px;
        --gap-content-xl: 36px;

        --height-box: 38px;

        --height-btn-sm: 34px;
        --height-btn-md: 42px;
        --height-btn-lg: 46px;

        --height-icon-btn-xxs: 8px;
        --height-icon-btn-xs: 14px;
        --height-icon-btn-sm: 28px;
        --height-icon-btn-md: 34px;
        --height-icon-btn-lg: 40px;
    }
}

@media (max-width: 420px) {
    :root {
        --section-title-size: 24px;
        --section-subtitle-size: 15px;
        --section-subtitle-en-size: 13px;
        --text-small: 12px;

        --radius-sm: 6px;
        --radius-md: 10px;
        --radius-lg: 16px;

        --padding-section: 40px 0;
        --padding-content: 28px 0 0;

        --padding-content-card-xs: 6px;
        --padding-content-card-sm: 12px;
        --padding-content-card-md: 16px;
        --padding-content-card-lg: 20px;
        --padding-content-card-xl: 28px;

        --gap-content-xs: 4px;
        --gap-content-sm: 12px;
        --gap-content-md: 16px;
        --gap-content-lg: 20px;
        --gap-content-xl: 28px;

        --height-box: 34px;

        --height-btn-sm: 32px;
        --height-btn-md: 40px;
        --height-btn-lg: 44px;

        --height-icon-btn-xxs: 6px;
        --height-icon-btn-xs: 12px;
        --height-icon-btn-sm: 26px;
        --height-icon-btn-md: 32px;
        --height-icon-btn-lg: 38px;
    }
}
